<?php
declare(strict_types=1);

namespace Inti\App\Runner\Container;

use Laminas\Diactoros\ServerRequestFactory;
use Psr\Container\ContainerInterface;

/**
 * Class ServerRequestFactoryFactory
 *
 * @package Inti\App\Runner\Container
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-app-runner
 */
final class ServerRequestFactoryFactory
{
    public function __invoke(ContainerInterface $container): callable
    {
        return function () {
            return ServerRequestFactory::fromGlobals();
        };
    }
}
